net.i2p.client

## Interface LookupResult

- All Known Implementing Classes:
    LkupResult

      public interface LookupResult

  The return value of I2PSession.lookupDest2()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RESULT_DECRYPTION_FAILURE` b33 requires per-client auth private key, the router has a key, but decryption failed; please supply a new key in a blinding info message
    `static int` | `RESULT_DEFERRED` For async calls only.
    `static int` | `RESULT_FAILURE` general failure, probably a local hostname lookup failure, or a b32 lookup timeout
    `static int` | `RESULT_KEY_REQUIRED` b33 requires per-client auth private key but the router does not have it cached; please supply in a blinding info message
    `static int` | `RESULT_SECRET_AND_KEY_REQUIRED` b33 requires a lookup password and per-client auth private key but the router does not have them cached; please supply in a blinding info message
    `static int` | `RESULT_SECRET_REQUIRED` b33 requires a lookup password but the router does not have it cached; please supply in a blinding info message
    `static int` | `RESULT_SUCCESS` getDestination() will be non-null

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Destination` | `getDestination()`
    `int` | `getNonce()` For async calls only.
    `int` | `getResultCode()`

- - ### Field Detail

    - #### RESULT_DECRYPTION_FAILURE

          static final int RESULT_DECRYPTION_FAILURE

      b33 requires per-client auth private key, the router has a key, but decryption failed; please supply a new key in a blinding info message
      See Also:
        Constant Field Values

    - #### RESULT_DEFERRED

          static final int RESULT_DEFERRED

      For async calls only. Nonce will be non-zero and destination will be null. Callback will be called later with the final result and the same nonce.
      See Also:
        Constant Field Values

    - #### RESULT_FAILURE

          static final int RESULT_FAILURE

      general failure, probably a local hostname lookup failure, or a b32 lookup timeout
      See Also:
        Constant Field Values

    - #### RESULT_KEY_REQUIRED

          static final int RESULT_KEY_REQUIRED

      b33 requires per-client auth private key but the router does not have it cached; please supply in a blinding info message
      See Also:
        Constant Field Values

    - #### RESULT_SECRET_AND_KEY_REQUIRED

          static final int RESULT_SECRET_AND_KEY_REQUIRED

      b33 requires a lookup password and per-client auth private key but the router does not have them cached; please supply in a blinding info message
      See Also:
        Constant Field Values

    - #### RESULT_SECRET_REQUIRED

          static final int RESULT_SECRET_REQUIRED

      b33 requires a lookup password but the router does not have it cached; please supply in a blinding info message
      See Also:
        Constant Field Values

    - #### RESULT_SUCCESS

          static final int RESULT_SUCCESS

      getDestination() will be non-null
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDestination

          Destination getDestination()

      Returns:
        Destination on success, null on failure

    - #### getNonce

          int getNonce()

      For async calls only. Nonce will be non-zero. Callback will be called later with the final result and the same nonce.

    - #### getResultCode

          int getResultCode()

      Returns:
        zero for success, nonzero for failure